=== test/eea_module_fftj/Makefile ===
# Makefile for spmodel library

include ../../Config.mk

SPMFRT=$(DEST_BIN)/spmfrt

all: clean

clean:
	-rm -f $(MODS) *.o work.pc* *~ *.bak *.out *.nc

test:	eea_module_fftj_transform_test.out eea_module_fftj_derivative_test.out \
	eea_module_fftj_jacobian_test.out eea_module_fftj_jacobianZ_test.out \
	eea_module_fftj_intavr_test.out eea_module_fftj_spectrum_test.out \
	eea_module_fftj_interpolate_test.out
	./eea_module_fftj_transform_test.out 
	./eea_module_fftj_derivative_test.out 
	./eea_module_fftj_jacobian_test.out
	./eea_module_fftj_jacobianZ_test.out
	./eea_module_fftj_intavr_test.out
	./eea_module_fftj_spectrum_test.out
	./eea_module_fftj_interpolate_test.out

.SUFFIXES: .f90 .out

.f90.out:
	$(FC) -I../../src  $(SYSFFLAGS) -o $@ $< -L../../src -l$(LIBNAME) $(SYSLDFLAGS) $(SYSLDLIBS)
