=== debian/changelog ===
spml-g95 (0.7.1-1) unstable; urgency=low

  * New Upstream version 0.7.1
  * Update source format: 3.0 (quilt)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 27 Feb 2012 15:08:54 +0000
