=== debian/control ===
Source: spml-g95
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, openmpi-g95, libnetcdff-g95-dev, gtool5-g95, libispack-g95-dev, liblapack-g95-dev, rdtool
Standards-Version: 3.9.2
Homepage: http://www.gfd-dennou.org/arch/spmodel

Package: spml-g95
Architecture: any
Conflicts: spml-lapack-g95 (<< 0.5.0-5)
Replaces: spml-lapack-g95 (<< 0.5.0-1)
Provides: spml-g95
Depends: ${shlibs:Depends}, ${misc:Depends}, netcdf-g95, gtool5-g95, ispack-g95, openmpi-g95, liblapack-g95-dev
Description: Fortran90 module library for solveing fundamental GFD problems
 SPML (a SPectral Model Library) is a Fortran90 module library for
 constructing spectral models for fundamental geophysical fluid
 dynamic problems. Fortran90 modules of this library are based on
 ISPACK (http://www.gfd-dennou.org/arch/ispack), which is also library
 for spectral models but written in Fortran77. This package provides
 module binary files built with G95 Fortran Compiler.

Package: spml-lapack-g95
Architecture: all
Depends: spml-g95
Description: Transitional package
 This dummy package is provided for a smooth transition from the
 previous spml-lapack-g95 package (the package is replaced by spml-g95).
 It may safely be removed after installation.
