=== debian/rules ===
#!/usr/bin/make -f

FC:=/usr/bin/g95
MPIFC:=/usr/bin/mpif90.openmpi-g95
INCLUDE_FLAGS:= -I/usr/include/netcdf-g95
PACKAGE := spml-g95
# ARCH=$(shell dpkg --print-architecture)
FFLAGS:=-O2 -fPIC
SYSFFLAGS:=$(FFLAGS)
NETCDF:=/usr/lib/libnetcdf.a
NETCDFF:=/usr/lib/libnetcdff-g95.a
NETCDFINC:=/usr/include/netcdf-g95/netcdf.inc
GTOOL5:=/usr/lib/gtool5-g95/lib/libgtool5.a
GTOOL5_MPI:=/usr/lib/gtool5-g95-mpi/lib/libgtool5-mpi.a
ISPACK:=/usr/lib/libispack-g95.a
ISPACK_MPI:=/usr/lib/libispack-g95-mpi.a
# CONFIGURE
CONF_NETCDF:=--with-netcdf=$(NETCDF) \
	--with-netcdff=$(NETCDFF) \
	--with-netcdf-include=$(NETCDFINC)
CONF_GTOOL5:=--with-gtool5=$(GTOOL5)
CONF_GTOOL5_MPI:=--with-gtool5=$(GTOOL5_MPI)
CONF_ISPACK:=--with-ispack=$(ISPACK)
CONF_ISPACK_MPI:=--with-ispack=$(ISPACK_MPI)
CONF_LUMATRIX=--with-lapack=/usr/lib/liblapack-g95.a
# CONFIGURE
CONF_FLAGS:= $(CONF_NETCDF) \
	$(CONF_GTOOL5) \
	$(CONF_ISPACK) \
	$(CONF_LUMATRIX)
CONF_FLAGS_MPI:= $(CONF_NETCDF) \
	$(CONF_GTOOL5_MPI) \
	$(CONF_ISPACK_MPI) \
	$(CONF_LUMATRIX) \
	--with-mpifc=$(MPIFC)

MANPAGES:=debian/*.1

%:
	dh $@

override_dh_auto_configure:
override_dh_auto_test:

override_dh_prep:
	dh_prep -Xtmp

override_dh_auto_build:
	@echo "build non-mpi library"
	FC="$(FC)" SYSFFLAGS="$(SYSFFLAGS)" FFLAGS="$(FFLAGS)" \
	./configure --prefix=/usr/lib/$(PACKAGE) $(CONF_FLAGS)
	$(MAKE) LIBNAME=$(PACKAGE)
	$(MAKE) install \
		DESTDIR=$(CURDIR)/debian/tmp \
		LIBNAME=$(PACKAGE)
	$(MAKE) distclean
	@echo "build mpi library"
	FC="$(MPIFC)" SYSFFLAGS="$(SYSFFLAGS)" FFLAGS="$(FFLAGS)" \
	./configure --prefix=/usr/lib/$(PACKAGE)-mpi $(CONF_FLAGS_MPI)
	$(MAKE) LIBNAME=$(PACKAGE)
	$(MAKE) install \
		DESTDIR=$(CURDIR)/debian/tmp \
		LIBNAME=$(PACKAGE)
	$(MAKE) distclean

override_dh_installman:
	dh_installman $(MANPAGES)

override_dh_autoclean:
	dh_auto_clean
	-[ -f Config.mk ] && $(MAKE) distclean
